﻿body {
    margin: 0px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select
{
    max-width: 280px;
}

textarea {
    max-width: 600px;
}

@media (min-width: 1440px) {
    .ecl-container {
        max-width: 100%;
        width: 1368px;
    }

    .ecl-carousel__controls .ecl-container {
        max-width: 100%;
        width: 1368px;
    }
}

.ecl-menu__subitem {
    max-width: 55ch;
}

@media (min-width: 996px) {
    .ecl-menu:not(.ecl-menu--forced-mobile) .ecl-menu__site-name {
        margin-bottom: 0.75rem;
    }

    .ecl-menu:not(.ecl-menu--forced-mobile):not(.ecl-menu--forced-close) .ecl-menu__subitem {
        min-width: 26rem;
    }

    .ecl-menu:not(.ecl-menu--forced-mobile) .ecl-menu__item {
        border-inline-start: 0px solid #7fa1c9;
        /*  display:unset;*/
    }

    .ecl-menu:not(.ecl-menu--forced-mobile) .ecl-menu__link {
        padding: 1rem 0.25rem 1rem 1rem;
    }
    /*to avoid displaying the dropdown menu from right to left (i.e. Citizen Science)*/

    .ecl-menu:not(.ecl-menu--forced-mobile):not(.ecl-menu--forced-close) .ecl-menu__mega--rtl {
        right: auto;
        left: 0;
    }
    /*to remove '|' from menu Ex. |Home|*/
    .ecl-menu:not(.ecl-menu--forced-mobile) .ecl-menu__item:before, .ecl-menu:not(.ecl-menu--forced-mobile) .ecl-menu__item:last-child:after {
        width: 0px;
    }

    .ecl-menu:not(.ecl-menu--forced-mobile) .ecl-menu__item:not(.ecl-menu__item--has-children) .ecl-menu__link {
        padding-right: 1rem;
    }

    .ecl-menu:not(.ecl-menu--forced-mobile,.ecl-menu--forced-close) .ecl-menu__sublink {
        padding: 0.75rem 1rem;
    }

    .ecl-site-header-harmonised__login-toggle[aria-expanded=true], .ecl-site-header-harmonised__login-toggle[aria-expanded=true]:focus {
        padding: calc(0.25rem - 2px) calc(0.75rem - 1px) 1rem;
    }

    .banner-text-white {
        color: white;
    }

    .ecl-banner--box-bg-dark .ecl-banner__content {
        -webkit-backdrop-filter: none;
        backdrop-filter: none;
        background: rgba(0, 0, 0, 0.2);
    }

    .ecl-banner__content {
        max-width: 100%;
    }
}

.ecl-site-header-harmonised__login-separator {
    margin-bottom: 0.5rem;
    margin-top: 0.75rem;
}

h1 {
    margin: .3em 0;
}

.ecl_color {
    color: #004494;
}

.color_red {
    color: #a30808;
}

img {
    image-rendering: optimizeSpeed;
}

.title_font {
    color: #004494;
    font-size: large;
    font-weight: bold;
}

.titlesmall_font {
    color: #004494;
    font-size: small;
    font-weight: bold;
}

.subtitle_font {
    color: #004494;
    font-size: large;
}

p {
    text-align: justify;
    color: #404040 !important;
    font: normal normal 400 1rem/1.5rem arial,sans-serif !important;
}

.ecl-category-filter__item {
    font: normal normal 400 1rem/1.5rem arial,sans-serif !important;
}

.overflow-wrap {
    overflow-wrap: break-word;
}

/*#region FDA 26.11.2025 Removing boostrap led to very ugly form controls, trying to improve form controls appearance manually.*/
.easin-form-control {
    border-radius: 3px;
    border: 1px solid #cccccc;
}
textarea.easin-form-control {
    width: 100%;
}

.form-control {
    display: block;
    width: 100%;
    height: 31px;
    padding: 6px 12px;
    font-size: 12px;
    line-height: 1.428571429;
    color: #555555;
    background-color: #ffffff;
    background-image: none;
    border: 1px solid #cccccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #ffffff;
}

/*#endregion */

.ecl-site-header__login-box--active {
    display: block;
}

/*ECL 4*/
@media (min-width: 1140px) {
    .ecl-mega-menu:not(.ecl-mega-menu--forced-mobile,.ecl-mega-menu--forced-close) .ecl-mega-menu__item.ecl-mega-menu__item--expanded > .ecl-mega-menu__wrapper > .ecl-container > .ecl-mega-menu__mega {
        left: 0;
    }
}

.ecl-accordion__content {
    max-width: 100%;
}

/*.ecl-accordion__item:last-child {
    border-left: 1px solid var(--c-n); 
}*/

.ecl-link_alert {
    color: #f16b15;
    margin: 0;
    text-decoration: underline;
}

.ecl-card-height90 {
    height: 85%;
    border: 1px solid #cfcfcf;
}


.ecl-card-height60 {
    height: 60%;
}

.ecl-card-gray {
    border: 1px solid #cfcfcf;
}

.newsimage {
    height: 200px;
    object-fit: cover;
}
/* Bottom left text */
.bottom-left {
    position: absolute;
    bottom: 8px;
    left: 16px;
}

.top-right {
    position: absolute;
    top: 8px;
    right: 16px;
}

.credit {
    background: rgba(0, 0, 0, .54);
    color: #fff;
    font: normal normal 400 .875rem / 1rem arial, sans-serif;
    padding: .25rem .5rem;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
}


/*Translation is removed from small screens: Responsive Issue*/
@media (max-width: 462px) {
    .etrans_display {
        display: none;
    }
}

.menu_overlay {
    top: 100px;
}

.ecl-page-header__title {
    font: var(--f-3xl);
}
/*Slide*/
@media (max-width: 1140px) {
    .ecl-date-block {
        min-width: 4rem;
    }

    .ecl-u-type-heading-3 {
        font: var(--f-xl) !important;
    }
}

@media (min-width: 768px) and (max-width: 996px) {
    .ecl-date-block {
        min-width: 3.2rem;
    }

    .ecl-date-block__day {
        font-size: 0.8rem;
        line-height: 0.9rem;
    }

    .ecl-date-block__month {
        font-size: 0.6rem;
        line-height: 10px;
    }

    .ecl-date-block__year {
        font: normal normal 400 .875rem / 1rem arial, sans-serif;
    }

    .news_description {
        display: none;
    }

    .ecl-content-block__title {
        font: var(--f-m);
    }
}

.ecl-navigation-list__item {
    border: 0px;
}

.ecl-card {
    border: 0px;
}

.ecl-search-form__text-input {
    border-inline-end-width: 1px;
    width: 80%;
}

/*#region Editorial Board specific classes */

/*post-list-data
post-list-text*/

div.discuss-element-container {
    margin-bottom: 1.2rem;
}

div.discuss-element {
/*    width: 100%;*/
    height: 100%;
    border-radius: 5px;
    padding: 0.5rem;
}

/*div.discuss-data {
    background-color: lightgrey;
}*/

.opening-element {
    background-color: var(--ecl-color-secondary-40);
}

.odd-element {
    background-color: var(--ecl-color-primary-20);
}
.even-element {
    background-color: var(--ecl-color-secondary-20);
}

.closing-element {
    background-color: var(--ecl-color-dark-60);
}

/*#endregion */


/*#region FDA: 18.11.2025 thin HR*/

.thin-hr{ 
    height: 1px;
    border: none;
    background-color: #333;
}

.margin-top-zero {
    margin-top: 0;
}

/*#endregion */

/*#region search results pagination style (taken from the tools) */

.pagination {
    display: flex;
    padding-left: 0;
    list-style: none;
}

li.easin-pagination-li {
    line-height: 1rem;
    padding: 0.3rem;
    min-width: 1.5rem;
    /*border: 1px solid lightblue;*/
    color: dodgerblue;
    text-align: center
}

    li.easin-pagination-li.active {
        background-color: lightgrey;
    }


    li.easin-pagination-li a {
        color: dodgerblue;
        /*text-decoration:underline;*/
    }

/*#endregion */
.profilepicture {
    object-fit: cover;
    width: 200px;
    height: 200px;
} 



